﻿function Liquid_Wealth:Scan(startbag, endbag)
	local bagLink = ""
	local bagName = ""
	local bagTexturePath = ""
	
	if Liquid_Wealth.db.realm.toon[UnitName("player")].filters then
		for filter in pairs(Liquid_Wealth.db.realm.toon[UnitName("player")].filters) do
			Liquid_Wealth.db.realm.toon[UnitName("player")].filters[filter].auction=0
			Liquid_Wealth.db.realm.toon[UnitName("player")].filters[filter].vender=0
		end
	end

	if (startbag == endbag) then
		--self:Print("Start Bag == End Bag")
		if (GetContainerNumSlots(startbag) >= 1) and (startbag > 0) then --Check to see if player had bag equipped, and to skip bank and backpack
			local invID = ContainerIDToInventoryID(startbag);
			bagLink = GetInventoryItemLink("player", invID);
			local itemName, itemLink, _, _, _, _, _, _, _, itemTexture, _ = GetItemInfo(bagLink)
			bagTexturePath = itemTexture
			bagName = itemName
		elseif startbag == -1 then --Bank
			bagLink = "Bank";
			bagTexturePath = "Interface\\Icons\\INV_Misc_Bag_08"
			bagName = "Bank"
		elseif startbag == 0 then --Backpack
			bagLink = "Backpack"
			bagTexturePath = "Interface\\Icons\\INV_Misc_Bag_08"
			bagName = "Backpack"
		else
			bagLink = "NONE" -- Set the Item ID to none if the player didn't buy a bank/equipped bag or bank slot.
			bagTexturePath = "NONE"
			bagName = "NONE"
		end
		Liquid_Wealth.db.realm.toon[UnitName("player")].bagID[startbag] = Liquid_Wealth:ConvItemDataToDB(bagLink, bagTexturePath, bagName, Liquid_Wealth:GetBagValueVender(startbag), Liquid_Wealth:GetBagValueAuction(startbag));
		Liquid_Wealth:ScanFilters(startbag)
	else
		--self:Print("Start Bag Is Not == End Bag")
		for bagId = startbag, endbag do -- Add up the value of each bag's contents
			if (GetContainerNumSlots(bagId) >= 1) and (bagId > 0) then --Check to see if player had bag equipped, and to skip bank and backpack
				local invID = ContainerIDToInventoryID(bagId);
				bagLink = GetInventoryItemLink("player", invID);
				local itemName, itemLink, _, _, _, _, _, _, _, itemTexture, _ = GetItemInfo(bagLink)
				bagTexturePath = itemTexture
				bagName = itemName
			elseif bagId == -1 then --Bank
				bagLink = "Bank";
				bagTexturePath = "Interface\\Icons\\INV_Misc_Bag_08"
				bagName = "Bank"
			elseif bagId == 0 then --Backpack
				bagLink = "Backpack";
				bagTexturePath = "Interface\\Icons\\INV_Misc_Bag_08"
				bagName = "Backpack"
			else
				bagLink = "NONE" -- Set the Item ID to none if the player didn't buy a bank/equipped bag or bank slot.
				bagTexturePath = "NONE"
				bagName = "NONE"
			end
			Liquid_Wealth.db.realm.toon[UnitName("player")].bagID[bagId] = Liquid_Wealth:ConvItemDataToDB(bagLink, bagTexturePath, bagName, Liquid_Wealth:GetBagValueVender(bagId), Liquid_Wealth:GetBagValueAuction(bagId));
			Liquid_Wealth:ScanFilters(bagId)
		end
	end
	Liquid_Wealth.db.realm.toon[UnitName("player")].playergold = GetMoney();
	--Liquid_Wealth.db.realm.toon[UnitName("player")].lastChecked = date("%m/%d/%y %I:%M:%S %p");
	Liquid_Wealth.db.realm.toon[UnitName("player")].lastChecked = time()
end